Skip to main content

Update container

Update container

Path Parameters
containerId uuid — REQUIRED

The id of the container

Example: 11112222-3333-4444-5555-666677778888

Request Body

The update container request

name string

The container name

description string

The container description

number string

An arbitrary number, as a text

Responses
200

The updated container

Schema — OPTIONAL
containerId uuid — OPTIONAL

The container id

name string — OPTIONAL

The container name

description string — OPTIONAL

The container description

number string — OPTIONAL

An arbitrary number, as a text

fakedThreshold float — OPTIONAL

The faked threshold

status int32 — OPTIONAL

Possible values: [0, 1]

The container status

batches object[] — OPTIONAL

The batches in the container

batchId uuid — OPTIONAL

The batch id

childrens object[] — OPTIONAL

The child containers

containerId uuid — OPTIONAL

The container id

name string — OPTIONAL

The container name

description string — OPTIONAL

The container description

number string — OPTIONAL

An arbitrary number, as a text

fakedThreshold float — OPTIONAL

The faked threshold

status int32 — OPTIONAL

Possible values: [0, 1]

The container status

batches object[] — OPTIONAL

The batches in the container

batchId uuid — OPTIONAL

The batch id

400

An error describing the issue caused by the client

Schema — OPTIONAL
type int32 — OPTIONAL

Possible values: [0, 1, 2, 3, 4]

The type of client error

message string — OPTIONAL

The error message

500

An error describing the server issue

Schema — OPTIONAL
message string — OPTIONAL

The error message